'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getRedirectMessage;

var _debug = require('debug');

var _debug2 = _interopRequireDefault(_debug);

var _lodash = require('lodash.isundefined');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var log = (0, _debug2.default)('isaac-wrapper.parser:err');

function getRedirectMessage(refId, extension) {

  if ((0, _lodash2.default)(refId)) {
    log('Missing parameter: refId on encoder.call.getRedirectMessage');
    throw new Error('Missing parameter: refId on encoder.call.getRedirectMessage');
  }

  if ((0, _lodash2.default)(extension)) {
    log('Missing parameter: extension on encoder.call.getRedirectMessage');
    throw new Error('Missing parameter: extension on encoder.call.getRedirectMessage');
  }

  return ['REDIRECTUID', refId, 'custom-tasgo-redirect', extension].join(' ');
}